[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Types' (#rtl)

# TSmallPoint

Small point

## Declaration

Source position: typshrdh.inc line 29

`type TSmallPoint = packed record`
`X: SmallInt;` |  | Horizontal position in the plane.
`Y: SmallInt;` |  | Vertical position in the plane.
`end;`

## Description

TSmallPoint defines a point in a 2-dimensional plane, just like TPoint, but the coordinates have a smaller range: The coordinates are smallints (16-bit, signed) and they run from -MaxSmallInt to maxSmallint.

## See also

TPoint |  | Point in a plane